import { AddChoiceRequest, ChangeDepartureTimeRequest, RemoveChoiceRequest, RemoveChoicesRequest, UpdateNoteRequest } from "../types";
import { api } from "./Api";

const FOOD_API_PREFIX = '/api/food';

export const addChoice = async (locationIndex: number, foodIndex?: number, dayIndex?: number) => {
    return await api.post<AddChoiceRequest, void>(`${FOOD_API_PREFIX}/addChoice`, { locationIndex, foodIndex, dayIndex });
}

export const removeChoices = async (locationIndex: number, dayIndex?: number) => {
    return await api.post<RemoveChoicesRequest, void>(`${FOOD_API_PREFIX}/removeChoices`, { locationIndex, dayIndex });
}

export const removeChoice = async (locationIndex: number, foodIndex: number, dayIndex?: number) => {
    return await api.post<RemoveChoiceRequest, void>(`${FOOD_API_PREFIX}/removeChoice`, { locationIndex, foodIndex, dayIndex });
}

export const updateNote = async (note?: string, dayIndex?: number) => {
    return await api.post<UpdateNoteRequest, void>(`${FOOD_API_PREFIX}/updateNote`, { note, dayIndex });
}

export const changeDepartureTime = async (time: string, dayIndex?: number) => {
    return await api.post<ChangeDepartureTimeRequest, void>(`${FOOD_API_PREFIX}/changeDepartureTime`, { time, dayIndex });
}

export const jdemeObed = async () => {
    return await api.post<undefined, void>(`${FOOD_API_PREFIX}/jdemeObed`);
}
