import { FeatureRequest, PizzaOrder } from "./Types";

export interface IDayIndex {
    dayIndex?: number,
}

export interface AddChoiceRequest extends IDayIndex {
    locationIndex: number,
    foodIndex?: number,
}

export interface RemoveChoicesRequest extends IDayIndex {
    locationIndex: number,
}

export interface RemoveChoiceRequest extends IDayIndex {
    locationIndex: number,
    foodIndex: number,
}

export interface UpdateNoteRequest extends IDayIndex {
    note?: string,
}

export interface ChangeDepartureTimeRequest extends IDayIndex {
    time: string,
}

export interface FinishDeliveryRequest {
    bankAccount?: string,
    bankAccountHolder?: string,
}

export interface AddPizzaRequest {
    pizzaIndex: number,
    pizzaSizeIndex: number,
}

export interface RemovePizzaRequest {
    pizzaOrder: PizzaOrder,
}

export interface UpdatePizzaDayNoteRequest {
    note?: string,
}

export interface UpdatePizzaFeeRequest {
    login: string,
    text?: string,
    price?: number,
}

export interface UpdateFeatureVoteRequest {
    option: FeatureRequest,
    active: boolean,
}